MV6TOOL(8)

NAME
mv6tool - Marvell Link Street register access

SYNOPSIS
mv6tool read LOCATION/REG

mv6tool write LOCATION/REG <0-0xffff>

mv6tool print LOCATION[/REG]

mv6tool print IFACE

where

LOCATION
    := IFACE/<port|phy> | DEV/<ADDR|phyN|portN|globalG|serdes>

DEV := <0-0x1f>

ADDR
    := <0-0x1f>

N   := <0-0xa>

G   := <0-2>

REG := <0-0x1f>

DESCRIPTION
The read and write commands are simple register level accessors. The print command will pretty-print a register. When using the print command, the register is optional. If left out, the most common registers will be shown.

EXAMPLES

    mv6tool read cpu0/port/0

    mv6tool write 1/global1/2 0x1337

    mv6tool print eth2-1

REPORTING BUGS
Bug report address (https://github.com/wkz/phytool/issues)

SEE ALSO
phytool(8)